Skip to content

Remove a document from a transaction

Request

Removes an attachment from an EXPENSE or TOPUP transaction

Security
oauth2ClientCredentials(Required scopes: transactions:write)
Path
idstringrequired
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
transactionIdstring

Transaction ID

attachmentstringrequired

Attachment URL to remove

curl -i -X POST \
  'https://developer.boyahq.com/_mock/v2/openapi/transactions/{id}/remove-document' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string' \
  -d '{
    "transactionId": "string",
    "attachment": "string"
  }'

Responses

Document removed successfully